Skip to main content
Resource Center/Network Resource/Route Resource Operations

UpdateVirtualRouterOffering

UpdateVirtualRouterOffering

PUT/zstack/v1/instance-offerings/virtual-routers/{uuid}/actions

Operation ID

UpdateVirtualRouterOffering

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • isDefault
    Boolean

    Optional. Whether the vRouter offering is the default offering.

  • imageUuid
    String

    Optional. The image UUID.

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • allocatorStrategy
    String

    Optional. The allocator strategy.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    InstanceOfferingInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • cpuNum
      IntegerRequired

      The CPU count.

    • cpuSpeed
      IntegerRequired

      The CPU speed.

    • memorySize
      LongRequired

      The memory size.

    • type
      StringRequired

      The type.

    • allocatorStrategy
      StringRequired

      The allocator strategy.

    • sortKey
      IntegerRequired

      The sort key.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The state, including Enabled and Disabled.